Đến nội dung


Hình ảnh
- - - - -

[Yêu cầu]1 Lisp vẽ đường polyline nối baseponit của các block và


  • Please log in to reply
24 replies to this topic

#21 2899nb

2899nb

    biết vẽ line

  • Members
  • PipPip
  • 22 Bài viết
Điểm đánh giá: -4 (bình thường)

Đã gửi 28 June 2014 - 10:56 AM

một yêu cầu khác khó khăn hơn nhờ các bác giúp

Lisp Vẽ đường PLINE nối tọa độ đầu các đường dóng LINE tăng dần theo trục X

file đính kèm theo yêu cầu

 

http://www.cadviet.c...32623_pline.dwg


  • 0

#22 2899nb

2899nb

    biết vẽ line

  • Members
  • PipPip
  • 22 Bài viết
Điểm đánh giá: -4 (bình thường)

Đã gửi 28 June 2014 - 10:59 AM

một khó khăn hơn nhờ các bác giúp

Lisp Vẽ đường PLINE nối tọa độ đầu các đường dóng LINE tăng dần theo trục X file dinh kem

http://www.cadviet.c...623_pline_1.dwg


  • -1

#23 2899nb

2899nb

    biết vẽ line

  • Members
  • PipPip
  • 22 Bài viết
Điểm đánh giá: -4 (bình thường)

Đã gửi 28 June 2014 - 11:04 AM

một khó khăn hơn nhờ các bác giúp

Lisp Vẽ đường PLINE nối tọa độ đầu các đường dóng LINE tăng dần theo trục X file dinh kem

http://www.cadviet.c...623_pline_3.dwg


  • -1

#24 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 28 June 2014 - 12:05 PM

một khó khăn hơn nhờ các bác giúp

Lisp Vẽ đường PLINE nối tọa độ đầu các đường dóng LINE tăng dần theo trục X file dinh kem

http://www.cadviet.c...623_pline_3.dwg

Hề hề hề,

Code nháp để bạn test thử, nếu Ok sẽ hoàn thiện sau.

(defun c:vpl ()
(vl-load-com)
(setq oldos (getvar "osmode"))
(setvar "osmode" 0)
(alert "\n Chon cac line can moi")
(setq ssl (acet-ss-to-list (ssget (list (cons 0 "line")))))
(setq plst (list))
(foreach e ssl
(setq elst (entget e)
          p1 (cdr (assoc 10 elst))
          p2 (cdr (assoc 11 elst)) )
(if (< (cadr p1) (cadr p2)) 
    (setq plst (append plst (list p1)))
    (setq plst (append plst (list p2)))
)
)
(setq plst (vl-sort plst '(lambda (x y) (< (car x) (car y)))))
(command "pline")
(foreach p plst
     (command p)
)
(command "")
(setvar "osmode" oldos)
(princ)
)
(defun c:vpl ()
(vl-load-com)
(setq oldos (getvar "osmode"))
(setvar "osmode" 0)
(alert "\n Chon cac line can moi")
(setq ssl (acet-ss-to-list (ssget (list (cons 0 "line")))))
(setq plst (list))
(foreach e ssl
(setq elst (entget e)
          p1 (cdr (assoc 10 elst))
          p2 (cdr (assoc 11 elst)) )
(if (< (cadr p1) (cadr p2)) 
    (setq plst (append plst (list p1)))
    (setq plst (append plst (list p2)))
)
)
(setq plst (vl-sort plst '(lambda (x y) (< (car x) (car y)))))
(command "pline")
(foreach p plst
     (command p)
)
(command "")
(setvar "osmode" oldos)
(princ)
)

  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#25 hmt

hmt

    biết lệnh scale

  • Members
  • PipPipPip
  • 146 Bài viết
Điểm đánh giá: -11 (hơi kém)

Đã gửi 10 September 2014 - 11:21 AM

e load lên nó hiện lỗi này bác ketxu ạ ??/ :; error: no function definition: ST:SS->LISTBASEPOINT


  • 0